/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package grizzlytestcase;

import com.sun.grizzly.http.servlet.ServletAdapter;
import com.sun.grizzly.tcp.http11.GrizzlyAdapter;
import java.util.HashMap;
import java.util.LinkedHashMap;
import javax.servlet.Servlet;
/**
 *
 * @author richard
 */

public class ServletServer{

    private LinkedHashMap<String, GrizzlyAdapter> ServletAdapters = new LinkedHashMap<String, GrizzlyAdapter>();
    
    public ServletServer(Servlet ServletClass, String ServletContext) {
        addServlet(ServletContext, ServletClass);
    }

    public ServletServer() {
    }


    /**
     * Adds a new servlet to this server, will overwrite an existing instance if
     * the contexts collide.
     *
     * @param Context <b the context/uri for this servlet >
     * @param ServletInstance
     */
    public void addServlet(String ServletContext, Servlet ServletInstance){
        ServletAdapter sa = new ServletAdapter();
        sa.setServletInstance(ServletInstance);
     //   sa.setRootFolder(OortFileUtils.instance.getObjectsDirectory(ServletInstance));
     //   sa.setHandleStaticResources(true);
        sa.addInitParameter("default-encoding", "UTF-8");
        sa.setContextPath(ServletContext);
        sa.setProperty("load-on-startup","1");
        this.ServletAdapters.put(ServletContext, sa);
    }

    public LinkedHashMap<String, GrizzlyAdapter> getServletAdapters() {
        return ServletAdapters;
    }
}
